## ros-kinetic-movie-publisher 1.2.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(movie_publisher)

find_package(catkin REQUIRED)

catkin_package(CATKIN_DEPENDS rosbash_params sensor_msgs)

install(PROGRAMS
  nodes/movie_publisher_node
  scripts/add_movie_to_bag
  scripts/fix_bag_timestamps
  scripts/merge.py
  scripts/movie_to_bag
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

install(FILES
  launch/movie_publisher.launch
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

=== debian/changelog ===
ros-kinetic-movie-publisher (1.2.2-1xenial) xenial; urgency=high

  * Made imageio and moviepy mandatory dependencies (they will be removed from package.xml in release repo)
  * Contributors: Martin Pecka

 -- Martin Pecka <peckama2@fel.cvut.cz>  Wed, 06 Mar 2019 23:00:00 -0000

ros-kinetic-movie-publisher (1.2.1-1xenial) xenial; urgency=high

  * Fixed permissions.
  * Kinetic release.
  * Moved to python from bc, because it is not installed everywhere.
  * More informative error strings.
  * Updated to the fixed version rosbash_params==1.0.2.
  * Contributors: Martin Pecka

 -- Martin Pecka <peckama2@fel.cvut.cz>  Wed, 06 Feb 2019 23:00:00 -0000

ros-kinetic-movie-publisher (1.1.0-1xenial) xenial; urgency=high

  * Added checks for exit codes to bash scripts.
  * Fixed install targets.
  * Added python-opencv alternative backend. This resolves debian packaging issues.
  * Contributors: Martin Pecka

 -- Martin Pecka <peckama2@fel.cvut.cz>  Sun, 27 Jan 2019 23:00:00 -0000

ros-kinetic-movie-publisher (1.0.1-1xenial) xenial; urgency=high

  * Fixed install rule.
  * Documented all tools in readme.
  * Added support for rewriting timestamps from TF messages.
  * Fix Python3 compatibility. Added fix_bag_timestamps.
  * Added readme.
  * Initial commit.
  * Contributors: Martin Pecka

 -- Martin Pecka <peckama2@fel.cvut.cz>  Thu, 24 Jan 2019 23:00:00 -0000

=== debian/control ===
Source: ros-kinetic-movie-publisher
Section: misc
Priority: extra
Maintainer: Martin Pecka <peckama2@fel.cvut.cz>
Build-Depends: debhelper (>= 9.0.0), ros-kinetic-catkin
Homepage: 
Standards-Version: 3.9.2

Package: ros-kinetic-movie-publisher
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ffmpeg, libav-tools, libavcodec-dev, libavformat-dev, libavutil-dev, libswscale-dev, python-opencv, ros-kinetic-cv-bridge, ros-kinetic-rosbash-params (>= 1.0.2), ros-kinetic-rospy, ros-kinetic-sensor-msgs
Description: Node for using a video file as video topic source.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-movie-publisher//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
